Bug 437035 - LDAP users can login even if their accounts have expired
LDAP users can login even if their accounts have expired
Product: Fedora
Classification: Fedora
Component: bugzilla (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: John Berninger
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-11 15:47 EDT by cje
Modified: 2009-01-09 01:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 01:10:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description cje 2008-03-11 15:47:26 EDT
Description of problem:
LDAP.pm doesn't check the shadowExpire value on the LDAP server.

Version-Release number of selected component (if applicable):

the following code isn't good but it does work for me:

 my $user_entry = $detail_result->shift_entry;
+    return { failure => AUTH_LOGINFAILED } if
+    return { failure => AUTH_LOGINFAILED } if
($user_entry->get_value("shadowExpire") * 24 * 3600 < time());

     my $mail_attr = Bugzilla->params->{"LDAPmailattribute"};

this assumes that:

a) it's an error of there's no shadowExpire value.  this probably isn't right.
b) the comparison is correct - it might be out be a day or rounding/ceiling.
c) the LDAP server is talking days since EPOCH and time() is talking seconds
since EPOCH.
d) the system and the LDAP server have the same EPOCH.
e) leap seconds aren't a problem.

still, it's a start.  :-)
Comment 1 cje 2008-03-11 16:13:18 EDT
changed those two lines for this:

    if ($user_entry->exists("shadowExpire")) {
        if ($user_entry->get_value("shadowExpire") * 24 * 3600 < time()) {
            return { failure => AUTH_LOGINFAILED };

which reverses assumption a).  now a missing shadowExpire attribute means "not
expired" .. which is more likely to be right.
Comment 2 Bug Zapper 2008-11-26 05:07:57 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-01-09 01:10:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.